DPKG-SCANSOURCES(1)

NOMBRE
dpkg-scansources - Busca ficheros '.dsc' y construye los índices 'Sources'

SINOPSIS
dpkg-scansources [switch]... bindir [fichero-override [path-prefijo]] > Sources

DESCRIPCIÓN
dpkg-scansources busca ficheros .dsc en un árbol de directorios bindir dado. Estos son usados para crear un índice de Sources de Debian, que es mostrado por la salida estándar.

Si se proporciona un fichero-override, este se usará para fijar prioridades en el índice resultante y sobreescribir el campo del mantenedor dado en los ficheros .dsc. Lea dpkg-scanpackages para saber más acerca del formato de este fichero. NB: El fichero de override está indexado por paquetes binarios, no por fuentes, esto crea un pequeño problema. La implementación actual usa la prioridad más alta de los paquetes binarios producidos por un fichero .dsc como la prioridad del paquete con las fuentes, y la entrada de override del primer paquete listado el fichero .dsc para modificar la información sobre el mantenedor. Esto puede cambiar en un futuro.

Si se proporciona path-prefijo, se antepondrá al campo del directorio en el índice de Sources generado. Normalmente se usará para hacer que el campo de directorio contenga el path desde el directorio padre del archivo Debian.

OPCIONES

--debug
    Activa la depuración.

--help
    Muestra el modo de uso y termina.

-n, --no-sort
    No ordenar el índice de fuentes. Normalmente se ordena por el nombre de los paquetes fuente.

-s, --source-override fichero
    Usar fichero como el fichero de override de las fuentes. Por omisión es el mismo que se especificó para el fichero de override con un .src añadido.

    El fichero de override de las fuentes está en un formato distinto del fichero de override de los paquetes binarios. Contiene solamente dos campos separados por espacios en blanco, el primer campo es el nombre del paquete fuente y el segundo es la sección. Las líneas en blanco y de comentarios se descartan. Si un paquete aparece en ambos ficheros, el campo sección del fichero override de las fuentes tiene preferencia.

--version
    Muestra la versión y termina.

VEÁSE ADEMÁS
dpkg-scanpackages(1)

AUTOR
Roderick Schertler <roderick@argon.org>

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org>